<form role="form" name="form">


      <div class="form-group">

        <h5>Infizierte Person</h5>

        <p></p>
        <table style="width:50%" id="inf_table" class="table">
          <tr>
            <th>Name</th>
            <th>Vorname</th>
            <th>E-Mail</th>
            <th>Telefonnummer</th>
          </tr>          
        </table>
        <p></p>       
        
      </div>


      <div class="form-group">

        <h5>Angegebene Kontaktpersonen</h5>

        <p></p>
        <table style="width:100%" id="1_table" class="table">
          <tr>
            <th>Name</th>
            <th>Vorname</th>
            <th>E-Mail</th>
            <th>Telefonnummer</th>
          </tr>          
        </table>
        <p></p>       
        
      </div>

      <div class="form-group">

        <h5>Kontaktpersonen in Restaurants</h5>

        <p></p>
        <table style="width:100%" id="2_table" class="table">
          <tr>
            <th>Name</th>
            <th>Vorname</th>
            <th>E-Mail</th>
            <th>Telefonnummer</th>
          </tr>          
        </table>
        <p></p>       
        
      </div>


      <div class="form-group">

        <h5>Kontaktpersonen an weiteren Orten</h5>

        <p></p>
        <table style="width:100%" id="3_table" class="table">
          <tr>
            <th>Name</th>
            <th>Vorname</th>
            <th>E-Mail</th>
            <th>Telefonnummer</th>
          </tr>          
        </table>
        <p></p>       
        
      </div>

      <button class="btn btn-primary" style="margin-top:10px;" id="clickprocc">Prozess "Kontakt kontaktieren" für alle Kontaktpersonen starten!</button> 

    
      



      <script cam-script type="text/form-script">

      inject(['$http', 'Uri', function($http, Uri) {



        camForm.on('form-loaded', function() {
          // fetch the variable 'customVariable'
          camForm.variableManager.fetchVariable('vorname');
          camForm.variableManager.fetchVariable('nachname');
          camForm.variableManager.fetchVariable('phone');
          camForm.variableManager.fetchVariable('email');

          //Contacts 
          camForm.variableManager.fetchVariable('contacts');

          //Restaurant Contact List
          camForm.variableManager.fetchVariable('restaurant_contact_list');

          //Weitere Orte Contact List
          camForm.variableManager.fetchVariable('weitereorte_contacts');

        });
    
        camForm.on('variables-fetched', function() {
          // value has been fetched from the backend
          var vorname = camForm.variableManager.variableValue('vorname');
          var nachname = camForm.variableManager.variableValue('nachname');
          var phone = camForm.variableManager.variableValue('phone');
          var email = camForm.variableManager.variableValue('email');

          //Inf Table
          $('#inf_table tr:last').after(
              "<tr><td>"+nachname+"</td><td>"+vorname+"</td><td>"+email+"</td><td>"+phone+"</td></tr>"
          );

          var allcon = new Array();


          //Contact Table
          var contacts = camForm.variableManager.variableValue('contacts');

          for(var i = 0; i<contacts.length; i++){
            var obj = {
              "vorname":contacts[i].vorname,
              "nachname":contacts[i].nachname, 
              "email":contacts[i].email, 
              "phone":contacts[i].phone
            }
            allcon.push(obj)



            $('#1_table tr:last').after(
              "<tr><td>"+contacts[i].nachname+"</td><td>"+contacts[i].vorname+"</td><td>"+contacts[i].email+"</td><td>"+contacts[i].phone+"</td></tr>"
            );
          }

          //Restaurant Contact List

          var rest_contacts = camForm.variableManager.variableValue('restaurant_contact_list');

          console.log(rest_contacts)

          for(var i = 0; i<rest_contacts.length; i++){
            for(var x = 0; x<rest_contacts[i].length;x++){

              var obj = {
                "vorname":rest_contacts[i][x].vorname,
                "nachname":rest_contacts[i][x].name, 
                "email":rest_contacts[i][x].email, 
                "phone":rest_contacts[i][x].phone
              }

              allcon.push(obj);

              console.log(rest_contacts[i][x])
              $('#2_table tr:last').after(
                "<tr><td>"+rest_contacts[i][x].name+"</td><td>"+rest_contacts[i][x].vorname+"</td><td>"+rest_contacts[i][x].email+"</td><td>"+rest_contacts[i][x].phone+"</td></tr>"
              );
            }
            
          }


          //Weitere Kontakte

          var rest_contacts = camForm.variableManager.variableValue('weitereorte_contacts');

          for(var i = 0; i<rest_contacts.length; i++){

            var obj = {
              "vorname":rest_contacts[i].vorname,
              "nachname":rest_contacts[i].nachname, 
              "email":rest_contacts[i].email, 
              "phone":rest_contacts[i].phone
            }

            allcon.push(obj);

            $('#3_table tr:last').after(
              "<tr><td>"+rest_contacts[i].nachname+"</td><td>"+rest_contacts[i].vorname+"</td><td>"+rest_contacts[i].email+"</td><td>"+rest_contacts[i].phone+"</td></tr>"
            );
          }


          //Kontakt kontaktieren anstoßen

          $("#clickprocc").click(function () {

            for(var i = 0; i < allcon.length; i++){

              var formData = {
                "variables": {
                  "vorname": {"value":allcon[i].vorname,"type":"String"},
                  "nachname": {"value":allcon[i].nachname,"type":"String"},
                  "email": {"value":allcon[i].email,"type":"String"},
                  "phone":{"value":allcon[i].phone,"type":"String"}
                }
              };
  
              $http.post(Uri.appUri('engine://engine/:engine/process-definition/key/contact-contact/start'), formData);


            }

          
            
          });   

        });

      }]);

        
        

        
      
      
     


      

      </script>

</form>